Conversations
List conversation messages
GET
/
conversations
/
{id}
/
messages
List conversation messages
curl --request GET \
--url https://api.example.com/conversations/{id}/messages \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/conversations/{id}/messages"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/conversations/{id}/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "68505cb92a11ea971d9df894",
"providerId": "wamid.HBgLMTIzNDU2Nzg5FQIAERgSMzQ1Q0Y5QkE=",
"contact": "68505cb92a11ea971d9df894",
"content": "Hello! How can I help?",
"role": "assistant",
"status": "unsent",
"error": "Rate limit exceeded"
}
],
"meta": {
"pagination": {
"limit": 25,
"nextCursor": "68505cb92a11ea971d9df894",
"hasMore": true
}
}
}{
"error": "something_went_wrong"
}Authorizations
Use Authorization: Bearer <api_key>.
Path Parameters
Conversation/contact ID.
Minimum string length:
1Example:
"68505cb92a11ea971d9df894"
Query Parameters
Max number of messages to return (1–100).
Required range:
1 <= x <= 100Example:
20
Pagination cursor from previous page.
Example:
"68505cb92a11ea971d9df894"
⌘I
List conversation messages
